Flow GET
Retrieves specific flow events between two given dates for all stores registered under a user.
Query Parameters
| Parameter | Description |
|---|---|
| dateBegin | Start date. Format YYYY-MM-DD (Inclusive) |
| dateEnd | End date. Format YYYY-MM-DD (Inclusive) |
| eventType | ID of the event type to be retrieved (1 = entry flow) |
| groupBy | Data grouping parameter |
Event Type IDs Table
| EventType | Description |
|---|---|
| 1 | Entry Flow |
| 2 | Exit Flow |
| 3 | Checkout Stop |
| 4 | External Flow Left |
| 5 | External Flow Right |
| 6 | Employee Entry |
| 7 | Employee Exit |
| 8 | Vehicle Entry |
| 9 | Vehicle Exit |
| 10 | In-store Flow |
| 11 | Group Entry |
groupBy Values Table
| groupBy | Description |
|---|---|
| day | Group by day |
| month | Group by month |
| hour | Group by hour |
| weekday | Group by day of the week |
| day-hour | Group by day and hour |
Response Example
json
{
"2021-05-01": {
"1": 265,
"2": 480,
"3": 443
},
"2021-05-02": {
"1": 265,
"2": 480,
"3": 443
},
"2021-05-03": {
"1": 265,
"2": 480,
"3": 443
},
"2021-05-04": {
"1": 265,
"2": 480,
"3": 443
}
}
